it.reply.healty.innovapuglia.mstaccuino.service.data

## Class ContattiMedDataService

- java.lang.Object
- - it.reply.healty.innovapuglia.mstaccuino.service.data.ContattiMedDataService

- All Implemented Interfaces:
    IDataService<NotaTaccuino,ContattoMedicinaNonConvRequestDTO,ContattoMedNonConv,ContattoNonConvNonTrovatoException>

      @Component
      public class ContattiMedDataService
      extends Object
      implements IDataService<NotaTaccuino,ContattoMedicinaNonConvRequestDTO,ContattoMedNonConv,ContattoNonConvNonTrovatoException>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContattiMedDataService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContattoMedNonConv` | `addNtt(NotaTaccuino nota, ContattoMedicinaNonConvRequestDTO contattoMedRequest)` Aggiunge al database una nuova istanza di tipo Contatto Medicina Non Convenzionale
    `void` | `deprecaNtt(ContattoMedNonConv contattoMed)` Cancella logicamente l'istanza di tipo Contatto Medicina Non Convenzionale inserita in input
    `List<ContattoMedNonConv>` | `findAllNttById(String idNota)` Recupera l'elenco di ContattoMedNonConv associati ad un id nota
    `ContattoMedNonConv` | `getNttById(String idContatto)` Restituisce il contatto medico non convenzionato in stato attivo in base all'ID in input
    `ContattoMedNonConv` | `updateNtt(ContattoMedNonConv contattoMed, ContattoMedicinaNonConvRequestDTO newContattoMedDto)` Crea un'istanza di tipo Contatto Medicina Non Convenzionale aggiornata con i dati in input, e depreca la vecchia istanza

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContattiMedDataService

          public ContattiMedDataService()

  - ### Method Detail

    - #### addNtt

          public ContattoMedNonConv addNtt(NotaTaccuino nota,
                                           ContattoMedicinaNonConvRequestDTO contattoMedRequest)
                                    throws FaultException

      Aggiunge al database una nuova istanza di tipo Contatto Medicina Non Convenzionale
      Specified by:
        `addNtt` in interface `IDataService<NotaTaccuino,ContattoMedicinaNonConvRequestDTO,ContattoMedNonConv,ContattoNonConvNonTrovatoException>`
      Parameters:
        `nota` - Istanza della nota a cui e' associato l'oggetto
        `contattoMedRequest` - Oggetto contenente i dati di input del contatto
      Returns:
        l'istanza creata
      Throws:
        `FaultException` - quando ci sono problemi nel salvataggio dei dati nel database

    - #### deprecaNtt

          public void deprecaNtt(ContattoMedNonConv contattoMed)
                          throws FaultException

      Cancella logicamente l'istanza di tipo Contatto Medicina Non Convenzionale inserita in input
      Specified by:
        `deprecaNtt` in interface `IDataService<NotaTaccuino,ContattoMedicinaNonConvRequestDTO,ContattoMedNonConv,ContattoNonConvNonTrovatoException>`
      Parameters:
        `contattoMed` - istanza dell'oggetto da deprecare
      Throws:
        `FaultException` - quando ci sono problemi nel salvataggio dei dati nel database

    - #### updateNtt

          public ContattoMedNonConv updateNtt(ContattoMedNonConv contattoMed,
                                              ContattoMedicinaNonConvRequestDTO newContattoMedDto)
                                       throws FaultException

      Crea un'istanza di tipo Contatto Medicina Non Convenzionale aggiornata con i dati in input, e depreca la vecchia istanza
      Specified by:
        `updateNtt` in interface `IDataService<NotaTaccuino,ContattoMedicinaNonConvRequestDTO,ContattoMedNonConv,ContattoNonConvNonTrovatoException>`
      Parameters:
        `contattoMed` - Vecchia istanza dell'oggetto da modificare
        `newContattoMedDto` - Nuovo oggetto in input, contenente i dati aggiornati
      Returns:
        l'istanza aggiornata
      Throws:
        `FaultException` - quando ci sono problemi nel salvataggio dei dati nel database

    - #### getNttById

          public ContattoMedNonConv getNttById(String idContatto)
                                        throws FaultException,
                                               ContattoNonConvNonTrovatoException

      Restituisce il contatto medico non convenzionato in stato attivo in base all'ID in input
      Specified by:
        `getNttById` in interface `IDataService<NotaTaccuino,ContattoMedicinaNonConvRequestDTO,ContattoMedNonConv,ContattoNonConvNonTrovatoException>`
      Parameters:
        `idContatto` - l'ID del contatto da cercare
      Returns:
        Il contatto medico non conv attivo trovato
      Throws:
        `FaultException` - Quando c'è qualche problema durante l'interrogazione del database
        `ContattoNonConvNonTrovatoException` - Quando non viene trovato nessun contatto attivo con quell'ID

    - #### findAllNttById

          public List<ContattoMedNonConv> findAllNttById(String idNota)
                                                  throws FaultException

      Recupera l'elenco di ContattoMedNonConv associati ad un id nota
      Specified by:
        `findAllNttById` in interface `IDataService<NotaTaccuino,ContattoMedicinaNonConvRequestDTO,ContattoMedNonConv,ContattoNonConvNonTrovatoException>`
      Parameters:
        `idNota` - l'ID della nota
      Returns:
        l'elenco di ContattoMedNonConv, o una lista vuota quando non ce ne sono
      Throws:
        `FaultException` - quando ci sono problemi nel recupero dati dal database

Copyright © 2024. All rights reserved.